.root, .modal-login {
  border: 2px solid rgb(190, 195, 210);
  border-radius: 3.5rem;
  background-image: linear-gradient(rgb(0, 22, 104), rgb(6, 0, 78), rgb(6, 0, 42));
}

.modal-addFunds {
  width: 83rem;
  border: 1px solid rgb(190, 195, 210);
  border-radius: 0 3rem 3rem; /* stylelint-disable-line */
  background: linear-gradient(180deg, #001668 0%, rgb(1, 17, 91) 15%, rgb(3, 10, 69) 43%, rgb(6, 0, 42) 100%);
  box-shadow: 2px 6px 11px rgba(0, 0, 0, 0.749);
}

.modal-pill {
  position: fixed;
  z-index: 1500;
  transform: translate(-1px, -6rem);
  height: 6rem;
  border-radius: 3rem 3rem 0 0;
  background: #0071cb;
}

.modal-register {
  width: 70rem;
  margin: 0;
  border: 2px solid rgb(190, 195, 210);
  border-radius: 3.5rem;
  background-image: linear-gradient(rgb(0, 22, 104), rgb(6, 0, 78), rgb(6, 0, 42));
}

.modal-report {
  width: 70rem;
  max-width: 70rem;
  height: 70rem;
  border: 2px solid rgb(190, 195, 210);
  border-radius: 3.5rem;
  background-image: linear-gradient(to right, rgb(163, 0, 0), rgb(173, 16, 11), rgb(187, 36, 25));
}

.modal-donate {
  width: 35%;
  padding: 3rem;
  border: 2px solid rgb(190, 195, 210);
  border-radius: 1.5rem;
  background-image: linear-gradient(rgb(0, 22, 104), rgb(6, 0, 78), rgb(6, 0, 42));
}

.modal-forgot {
  width: 70rem;
  border: 2px solid rgb(190, 195, 210);
  border-radius: 3.5rem;
  background-image: linear-gradient(rgb(0, 22, 104), rgb(6, 0, 78), rgb(6, 0, 42));
}

.modal-ban, .modal-error {
  width: 50rem;
  max-width: 50rem;
  border: 2px solid rgb(190, 195, 210);
  background: transparent linear-gradient(to right, #001668 0%, #01115b 15%, #030a45 43%, #06002a 100%) 0 0 no-repeat padding-box;
  box-shadow: 2px 6px 11px #000000bf;
}

.modal-link {
  width: 60rem;
  max-width: 60rem;
  border: 2px solid rgb(190, 195, 210);
  background: transparent linear-gradient(to right, #001668 0%, #01115b 15%, #030a45 43%, #06002a 100%) 0 0 no-repeat padding-box;
  box-shadow: 2px 6px 11px #000000bf;
}

.modal-reset {
  width: 60rem;
  max-width: 60rem;
  border: 2px solid rgb(190, 195, 210);
  background: transparent linear-gradient(to right, #001668 0%, #01115b 15%, #030a45 43%, #06002a 100%) 0 0 no-repeat padding-box;
  box-shadow: 2px 6px 11px #000000bf;
}

.modal-peerplays {
  width: 60rem;
  border: 2px solid #ffffff;
  border-radius: 2.5rem;
  background: transparent linear-gradient(180deg, #001668 0%, #01115b 15%, #030a45 43%, #06002a 100%) 0% 0% no-repeat padding-box;
  box-shadow: 2px 6px 11px #000000bf;
  opacity: 1;
}

.modal-success {
  width: 70rem;
  border: 2px solid rgb(190, 195, 210);
  background: transparent linear-gradient(#001668 0%, #01115b 15%, #030a45 43%, #06002a 100%) 0 0 no-repeat padding-box;
  box-shadow: 2px 6px 11px #000000bf;
}

.modal-challengeConfirm {
  max-width: 130rem;
  border: 2px solid #ffffff;
  border-radius: 3rem;
  background: transparent linear-gradient(180deg, #001668 0%, #01115b 15%, #030a45 43%, #06002a 100%) 0% 0% no-repeat padding-box;
  box-shadow: 2px 6px 11px #000000bf;
}

.modal-challengeSuccess {
  width: 103rem;
  max-width: 103rem;
  border: 2px solid #ffffff;
  border-radius: 3rem;
  background: transparent linear-gradient(180deg, #001668 0%, #01115b 15%, #030a45 43%, #06002a 100%) 0% 0% no-repeat padding-box;
  box-shadow: 2px 6px 11px #000000bf;
}

.modal-category {
  width: 70rem;
  border: 2px solid #ffffff;
  border-radius: 2.5rem;
  background: transparent linear-gradient(180deg, #001668 0%, #01115b 15%, #030a45 43%, #06002a 100%) 0% 0% no-repeat padding-box;
  box-shadow: 2px 6px 11px #000000bf;
  opacity: 1;
}

.modal-login {
  margin: 0;
}

@media only screen and (max-width: 1400px) {
  .modal-challengeSuccess {
    width: 70rem;
  }

  .modal-report {
    width: 60rem;
    max-width: 60rem;
    height: 60rem;
  }

  .modal-ban {
    width: 40rem;
    max-width: 40rem;
  }

  .modal-success {
    width: 60rem;
  }

  .modal-donate {
    min-width: 38rem;
    padding: 0;
  }

  .modal-addFunds {
    width: 73rem;
  }
}

@media only screen and (max-width: 768px) {
  .modal-donate {
    min-width: 48rem;
  }

  .modal-addFunds {
    width: 100%;
  }

  .modal-challengeConfirm {
    width: 60vw;
  }
}

@media only screen and (max-width: 500px) {
  .modal-category, .modal-challengeConfirm, .modal-challengeSuccess, .modal-peerplays {
    min-width: 95%;
  }
}
